# valuenode_animated.cpp File Reference

Implementation of the "Animated" valuenode conversion. More...

`#include <vector>`
`#include <list>`
`#include <stdexcept>`
`#include <cmath>`
`#include <ETL/bezier>`
`#include <ETL/hermite>`
`#include <ETL/spline>`
`#include <ETL/handle>`
`#include <ETL/misc>`
`#include <algorithm>`
`#include <typeinfo>`
`#include "canvas.h"`
`#include "general.h"`
`#include "valuenode_animated.h"`
`#include "valuenode_const.h"`
`#include "exception.h"`
`#include "gradient.h"`

## Detailed Description

Implementation of the "Animated" valuenode conversion.

$Id$